OnACTIVATE=function(bActive,bClickActive){
	if(bClickActive) static_shadow_active.ShowCtrl(bActive);
	else static_shadow_active.Show(bActive);
}
OnMouseOptChange=function(bOpt){
	var ps=box_toolbar.GetPlaceSet();
	if(bOpt) ps.size.cy=29;
	else ps.size.cy=8;
	box_toolbar.ResetCtrl(ps.rect,ps.size,"lrb",ps.zindex);
	if(bOpt) box_btn.Show(true);
}
OnInitSkin=function(){
	var bMouseIn=IsMouseIn();
	var ps=box_toolbar.GetPlaceSet();
	if(bMouseIn) ps.size.cy=29;
	else ps.size.cy=8;
	box_toolbar.Reset(ps.rect,ps.size,"lrb",ps.zindex);
	box_btn.Show(bMouseIn);
	static_shadow_active.Show(IsActivate());
	RefreshBtn();
}
box_toolbar.OnSizeChanged=function(oldSize,newSize){
	if(newSize.cy==8) box_btn.Show(false);
}
function RefreshBtn(){
	var song=skin.GetPlayingSong();
	var bHasLrc=false;
	if(song) bHasLrc=song.HasLrc;
	BTN_COPYLRC.Enable(bHasLrc);
	BTN_OPENLRCDIR.Enable(bHasLrc);
	BTN_LINKLRC.Enable(song?true:false);
}
skin.OnNotifyLrcInfoChanged=RefreshBtn;